org.apache.commons.ssl.asn1

## Class ConstructedOctetStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.ssl.asn1.ConstructedOctetStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

     class ConstructedOctetStream
    extends java.io.InputStream

### Field Summary

Fields
`private java.io.InputStream` `_currentStream`
`private boolean` `_first`
`private ASN1ObjectParser` `_parser`

### Constructor Summary

Constructors
Constructor and Description
`ConstructedOctetStream(ASN1ObjectParser parser)`

### Method Summary

Methods
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _parser

    private final ASN1ObjectParser _parser

#### _first

    private boolean _first

#### _currentStream

    private java.io.InputStream _currentStream

### Constructor Detail

#### ConstructedOctetStream

    ConstructedOctetStream(ASN1ObjectParser parser)

### Method Detail

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`